nm_addr_info Struct Reference

Convenience structure to bundle address information. More...

Collaboration diagram for nm_addr_info:
[legend]

## Public Attributes

struct sockaddr_storage | address
| Network address information.
struct mptcpd_interface const * | interface
| Weak reference to network interface.
int | index
| Network interface index.
int | count
| Usage counter, free this when reaches 0.
struct l_timeout * | timeout
| Route check timeout.
int | attempts
| Route check attemps.
struct mptcpd_nm * | nm

## Detailed Description

Convenience structure to bundle address information.

Note that Network monitor users (tests and sspi plugin) assume that interface->addr is a list of sockaddr. Placing the sockaddr_storage as the first field allow expanding the address metadata without breaking that assumption

The documentation for this struct was generated from the following file:

- lib/network_monitor.c